## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global forgeurl https://github.com/labwc/labwc
%global tag %{version}

Name:       labwc
Version:    0.9.0
%forgemeta
Release:    %autorelease
Summary:    A Wayland window-stacking compositor

License:    GPL-2.0-only
URL:        %{forgeurl}
Source0:    %{forgesource}

BuildRequires: gcc
BuildRequires: meson >= 0.59.0
BuildRequires: cmake

BuildRequires: pkgconfig(cairo)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(libinput) >= 1.14
BuildRequires: pkgconfig(librsvg-2.0) >= 2.46
BuildRequires: pkgconfig(libsfdo-basedir)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(pangocairo)
BuildRequires: pkgconfig(pixman-1)
BuildRequires: pkgconfig(scdoc)
BuildRequires: pkgconfig(wayland-protocols)
BuildRequires: pkgconfig(wayland-server) >= 0.19.0
BuildRequires: pkgconfig(wlroots-0.19) >= 0.19.0
BuildRequires: pkgconfig(xcb)
BuildRequires: pkgconfig(xkbcommon)
BuildRequires: pkgconfig(xwayland)

Requires:      mesa-dri-drivers
Requires:      xdg-desktop-portal-wlr

Conflicts:     %{name} < 0.8.2-3
Obsoletes:     %{name} < 0.8.2-3

%description
Labwc stands for Lab Wayland Compositor, where lab can mean any of the
following:

  * sense of experimentation and treading new ground
  * inspired by BunsenLabs and ArchLabs
  * your favorite pet

Labwc is a wlroots-based window-stacking compositor for wayland, inspired by
openbox.

It is light-weight and independent with a focus on simply stacking windows
well and rendering some window decorations. It takes a no-bling/frills
approach and says no to features such as icons (except window buttons),
animations, decorative gradients and any other options not required to
reasonably render common themes. It relies on clients for panels, screenshots,
wallpapers and so on to create a full desktop environment.

Labwc tries to stay in keeping with wlroots and sway in terms of general
approach and coding style.

Labwc has no reliance on any particular Desktop Environment, Desktop Shell or
session. Nor does it depend on any UI toolkits such as Qt or GTK.

%package session
Summary:       A Wayland window-stacking compositor - session files
Requires:      %{name} = %{version}-%{release}
Requires:      hicolor-icon-theme
# Upstream recommendations
# https://github.com/labwc/labwc?tab=readme-ov-file#7-integration
# See integration[1] for further details.
# [1]: https://labwc.github.io/integration.html
Recommends:    bemenu                                %dnl # Launchers
Recommends:    swaylock                              %dnl # Screen locker
Suggests:      alacritty                             %dnl # Terminal. See: https://github.com/labwc/labwc?tab=readme-ov-file#6-usage
Suggests:      fuzzel wofi                           %dnl # Launchers
Suggests:      grim                                  %dnl # Screen-shooter
Suggests:      swaybg                                %dnl # Background image
Suggests:      waybar, yambar, lavalauncher, sfwbar  %dnl # Panel
Suggests:      wf-recorder                           %dnl # Screen recorder
Suggests:      wlopm, kanshi, wlr-randr              %dnl # Output managers
# Downstream useful stuff which already packaged in Fedora
Suggests:      foot                                  %dnl # Terminal
Suggests:      wdisplays                             %dnl # GUI display configurator for wlroots compositors

Conflicts:     %{name} < 0.8.2-3
Obsoletes:     %{name} < 0.8.2-3

BuildArch:     noarch

%description session
This package provides the labwc session files to run labwc as a
standalone environment.


%prep
%forgeautosetup -p1


%build
%meson \
    -Dxwayland=enabled \
    %{nil}
%meson_build


%install
%meson_install
%find_lang %{name}


%files -f %{name}.lang
%license LICENSE
%doc NEWS.md
%{_bindir}/%{name}
%{_bindir}/lab-sensible-terminal
%{_docdir}/%{name}/*
%{_mandir}/man1/*.1*
%{_mandir}/man5/*.5*
%{_datadir}/xdg-desktop-portal/labwc-portals.conf

%files session
%{_datadir}/wayland-sessions/%{name}.desktop
%{_datadir}/icons/hicolor/*/*/%{name}*.svg

%changelog
## START: Generated by rpmautospec
* Sun Jul 13 2025 Artem Polishchuk <ego.cordatus@gmail.com> - 0.9.0-1
- chore: Update to 0.9.0

* Fri May 02 2025 Artem Polishchuk <ego.cordatus@gmail.com> - 0.8.4-1
- chore: Update to 0.8.4

* Fri Feb 21 2025 Artem Polishchuk <ego.cordatus@gmail.com> - 0.8.3-1
- chore: Update to 0.8.3

* Sat Feb 15 2025 Neal Gompa <ngompa@fedoraproject.org> - 0.8.2-3
- Split labwc session data into a subpackage

* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Dec 13 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 0.8.2-1
- chore: Update to 0.8.2

* Sat Oct 26 2024 Steve Cossette <farchord@gmail.com> - 0.8.1-1
- 0.8.1

* Tue Aug 20 2024 Steve Cossette <farchord@gmail.com> - 0.8.0-1
- 0.8.0

* Sat Jul 20 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 0.7.4-1
- chore: Update to 0.7.4

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jul 15 2024 Packit <hello@packit.dev> - 0.7.3-1
- Update to 0.7.3 upstream release
- Resolves: rhbz#2297929

* Tue May 14 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 0.7.2-2
- build: Update integration suggestions

* Fri May 10 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 0.7.2-1
- build: Update to 0.7.2

* Fri Mar 01 2024 Neal Gompa <ngompa@fedoraproject.org> - 0.7.1-3
- Add dependency on hicolor-icon-theme

* Fri Mar 01 2024 Neal Gompa <ngompa@fedoraproject.org> - 0.7.1-2
- Add icons to file list

* Fri Mar 01 2024 Neal Gompa <ngompa@fedoraproject.org> - 0.7.1-1
- Update to 0.7.1 and refresh pipemenus patch

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Dec 22 2023 Neal Gompa <ngompa@fedoraproject.org> - 0.7.0-1
- Update to 0.7.0 and add patch for pipemenus support

* Sun Nov 26 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.6.6-1
- [packit] 0.6.6 upstream release

* Sun Nov 26 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.6.5-7
- packit: Update config

* Fri Nov 10 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.6.5-6
- build: Add xorg-x11-server-Xwayland dep (rh#2249099)

* Thu Oct 19 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.6.5-5
- build: Update forge macros

* Fri Oct 06 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.6.5-4
- build: Remove downstream .desktop file

* Fri Oct 06 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.6.5-3
- build: Add Packit config

* Fri Oct 06 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.6.5-2
- build: Use forge macros

* Sat Sep 23 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.6.5-1
- build: Update to 0.6.5

* Sat Sep 23 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.6.4-3
- license: Convert to SPDX

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jul 15 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.6.4-1
- chore: Update to 0.6.4

* Mon May 08 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.6.3-1
- chore: Update to 0.6.3

* Tue Mar 21 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.6.2-1
- build: Update to 0.6.2

* Mon Jan 30 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.6.1-1
- build: Update to 0.6.1

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sun Dec 04 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.6.0-1
- build: Update to 0.6.0

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Jul 16 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.5.3-1
- chore(update): 0.5.3

* Fri Jun 24 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.5.2-1
- chore(update): 0.5.2

* Wed Feb 23 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.5.0-2
- build: Add weak dep 'swaylock'

* Mon Feb 21 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.5.0-1
- chore(update): 0.5.0

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Jan 01 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.4.0-1
- chore(update): 0.4.0

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jun 29 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.3.0-1
- build(update): 0.3.0

* Mon Apr 19 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.2.1-1
- build(update): 0.2.1

* Fri Apr 16 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.2.0-1
- build(update): 0.2.0

* Wed Mar 24 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.1.0-3
- build: Convert Recommends deps into Suggests

* Wed Mar 24 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.1.0-2
- feat: Add session file for DM

* Sun Mar 07 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.1.0-1
- Initial package

## END: Generated by rpmautospec
